<div class="question">
    <div class="form-group">
        <label>{{question.question}}  <span *ngIf="question.required" class="text-warning">(requis)</span></label>
        <input *ngIf="question.question_type == 0" type="text"
               [name]="'question_'+id" [(ngModel)]="_answer.value"
               [required]="question.required"
               title="{{question.question}}" (change)="update($event)" class="form-control">
        <textarea *ngIf="question.question_type == 1" type="text"
                  [required]="question.required"
                   [name]="'question_'+id" [(ngModel)]="_answer.value"
                  title="{{question.question}}" (change)="update($event)" class="form-control"></textarea>
        <select *ngIf="question.question_type == 4"
                [required]="question.required"
                [name]="'question_'+id" [(ngModel)]="_answer.value"
                title="{{question.question}}" (change)="update($event)" class="form-control">
            <option *ngFor="let field of question.data" [value]="field">{{field}}</option>
        </select>
        <div *ngIf="question.question_type==8">
            <input type="file"
                   id="file"
                   [required]="question.required"
                   (change)="handleFileInput($event.target.files)">
        </div>
        <span *ngIf="question.help_text" class="text-muted">{{question.help_text}}</span>
    </div>
</div>

